
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio Version 17
VisualStudioVersion = 17.14.36717.8
MinimumVisualStudioVersion = 10.0.40219.1
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Include", "Include", "{02EA681E-C7D8-13C7-8484-4AC65E1B71E8}"
	ProjectSection(SolutionItems) = preProject
		Include\DynamicMeshViewer.h = Include\DynamicMeshViewer.h
		Include\DynamicMeshViewer.inl = Include\DynamicMeshViewer.inl
		Include\Mesh.h = Include\Mesh.h
		Include\Mesh.inl = Include\Mesh.inl
		Include\PreProcessing.h = Include\PreProcessing.h
		Include\RiemannianMesh.h = Include\RiemannianMesh.h
		Include\RiemannianMesh.inl = Include\RiemannianMesh.inl
	EndProjectSection
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "CombinatorialSmoothing", "CombinatorialSmoothing\CombinatorialSmoothing.vcxproj", "{B21BEC98-0F1E-4C39-BB37-8835DD5BA94A}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "LaplacianSmoothing", "LaplacianSmoothing\LaplacianSmoothing.vcxproj", "{782F34D0-2C3D-4659-B66A-92F7211F457D}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "OneRingAveraging", "OneRingAveraging\OneRingAveraging.vcxproj", "{22C7D957-4F3E-4BFD-85B5-5A52B1AA31B4}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "GeodesicsInHeat", "GeodesicsInHeat\GeodesicsInHeat.vcxproj", "{7529CCDC-8658-41D4-B3A6-1638B621D4AD}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "GradientDomainFiltering", "GradientDomainFiltering\GradientDomainFiltering.vcxproj", "{ECB1145A-59A2-4AEB-B049-44105A2F8F17}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "WaveEquation", "WaveEquation\WaveEquation.vcxproj", "{1A08922D-DF8F-4317-83C0-7298EF5CBC4D}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "SpectralWaveEquation", "SpectralWaveEquation\SpectralWaveEquation.vcxproj", "{A1B7F578-9FAC-490F-9D83-1F1C2235E60B}"
EndProject
Global
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|x64 = Debug|x64
		Debug|x86 = Debug|x86
		Release|x64 = Release|x64
		Release|x86 = Release|x86
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{B21BEC98-0F1E-4C39-BB37-8835DD5BA94A}.Debug|x64.ActiveCfg = Debug|x64
		{B21BEC98-0F1E-4C39-BB37-8835DD5BA94A}.Debug|x64.Build.0 = Debug|x64
		{B21BEC98-0F1E-4C39-BB37-8835DD5BA94A}.Debug|x86.ActiveCfg = Debug|Win32
		{B21BEC98-0F1E-4C39-BB37-8835DD5BA94A}.Debug|x86.Build.0 = Debug|Win32
		{B21BEC98-0F1E-4C39-BB37-8835DD5BA94A}.Release|x64.ActiveCfg = Release|x64
		{B21BEC98-0F1E-4C39-BB37-8835DD5BA94A}.Release|x64.Build.0 = Release|x64
		{B21BEC98-0F1E-4C39-BB37-8835DD5BA94A}.Release|x86.ActiveCfg = Release|Win32
		{B21BEC98-0F1E-4C39-BB37-8835DD5BA94A}.Release|x86.Build.0 = Release|Win32
		{782F34D0-2C3D-4659-B66A-92F7211F457D}.Debug|x64.ActiveCfg = Debug|x64
		{782F34D0-2C3D-4659-B66A-92F7211F457D}.Debug|x64.Build.0 = Debug|x64
		{782F34D0-2C3D-4659-B66A-92F7211F457D}.Debug|x86.ActiveCfg = Debug|Win32
		{782F34D0-2C3D-4659-B66A-92F7211F457D}.Debug|x86.Build.0 = Debug|Win32
		{782F34D0-2C3D-4659-B66A-92F7211F457D}.Release|x64.ActiveCfg = Release|x64
		{782F34D0-2C3D-4659-B66A-92F7211F457D}.Release|x64.Build.0 = Release|x64
		{782F34D0-2C3D-4659-B66A-92F7211F457D}.Release|x86.ActiveCfg = Release|Win32
		{782F34D0-2C3D-4659-B66A-92F7211F457D}.Release|x86.Build.0 = Release|Win32
		{22C7D957-4F3E-4BFD-85B5-5A52B1AA31B4}.Debug|x64.ActiveCfg = Debug|x64
		{22C7D957-4F3E-4BFD-85B5-5A52B1AA31B4}.Debug|x64.Build.0 = Debug|x64
		{22C7D957-4F3E-4BFD-85B5-5A52B1AA31B4}.Debug|x86.ActiveCfg = Debug|Win32
		{22C7D957-4F3E-4BFD-85B5-5A52B1AA31B4}.Debug|x86.Build.0 = Debug|Win32
		{22C7D957-4F3E-4BFD-85B5-5A52B1AA31B4}.Release|x64.ActiveCfg = Release|x64
		{22C7D957-4F3E-4BFD-85B5-5A52B1AA31B4}.Release|x64.Build.0 = Release|x64
		{22C7D957-4F3E-4BFD-85B5-5A52B1AA31B4}.Release|x86.ActiveCfg = Release|Win32
		{22C7D957-4F3E-4BFD-85B5-5A52B1AA31B4}.Release|x86.Build.0 = Release|Win32
		{7529CCDC-8658-41D4-B3A6-1638B621D4AD}.Debug|x64.ActiveCfg = Debug|x64
		{7529CCDC-8658-41D4-B3A6-1638B621D4AD}.Debug|x64.Build.0 = Debug|x64
		{7529CCDC-8658-41D4-B3A6-1638B621D4AD}.Debug|x86.ActiveCfg = Debug|Win32
		{7529CCDC-8658-41D4-B3A6-1638B621D4AD}.Debug|x86.Build.0 = Debug|Win32
		{7529CCDC-8658-41D4-B3A6-1638B621D4AD}.Release|x64.ActiveCfg = Release|x64
		{7529CCDC-8658-41D4-B3A6-1638B621D4AD}.Release|x64.Build.0 = Release|x64
		{7529CCDC-8658-41D4-B3A6-1638B621D4AD}.Release|x86.ActiveCfg = Release|Win32
		{7529CCDC-8658-41D4-B3A6-1638B621D4AD}.Release|x86.Build.0 = Release|Win32
		{ECB1145A-59A2-4AEB-B049-44105A2F8F17}.Debug|x64.ActiveCfg = Debug|x64
		{ECB1145A-59A2-4AEB-B049-44105A2F8F17}.Debug|x64.Build.0 = Debug|x64
		{ECB1145A-59A2-4AEB-B049-44105A2F8F17}.Debug|x86.ActiveCfg = Debug|Win32
		{ECB1145A-59A2-4AEB-B049-44105A2F8F17}.Debug|x86.Build.0 = Debug|Win32
		{ECB1145A-59A2-4AEB-B049-44105A2F8F17}.Release|x64.ActiveCfg = Release|x64
		{ECB1145A-59A2-4AEB-B049-44105A2F8F17}.Release|x64.Build.0 = Release|x64
		{ECB1145A-59A2-4AEB-B049-44105A2F8F17}.Release|x86.ActiveCfg = Release|Win32
		{ECB1145A-59A2-4AEB-B049-44105A2F8F17}.Release|x86.Build.0 = Release|Win32
		{1A08922D-DF8F-4317-83C0-7298EF5CBC4D}.Debug|x64.ActiveCfg = Debug|x64
		{1A08922D-DF8F-4317-83C0-7298EF5CBC4D}.Debug|x64.Build.0 = Debug|x64
		{1A08922D-DF8F-4317-83C0-7298EF5CBC4D}.Debug|x86.ActiveCfg = Debug|Win32
		{1A08922D-DF8F-4317-83C0-7298EF5CBC4D}.Debug|x86.Build.0 = Debug|Win32
		{1A08922D-DF8F-4317-83C0-7298EF5CBC4D}.Release|x64.ActiveCfg = Release|x64
		{1A08922D-DF8F-4317-83C0-7298EF5CBC4D}.Release|x64.Build.0 = Release|x64
		{1A08922D-DF8F-4317-83C0-7298EF5CBC4D}.Release|x86.ActiveCfg = Release|Win32
		{1A08922D-DF8F-4317-83C0-7298EF5CBC4D}.Release|x86.Build.0 = Release|Win32
		{A1B7F578-9FAC-490F-9D83-1F1C2235E60B}.Debug|x64.ActiveCfg = Debug|x64
		{A1B7F578-9FAC-490F-9D83-1F1C2235E60B}.Debug|x64.Build.0 = Debug|x64
		{A1B7F578-9FAC-490F-9D83-1F1C2235E60B}.Debug|x86.ActiveCfg = Debug|Win32
		{A1B7F578-9FAC-490F-9D83-1F1C2235E60B}.Debug|x86.Build.0 = Debug|Win32
		{A1B7F578-9FAC-490F-9D83-1F1C2235E60B}.Release|x64.ActiveCfg = Release|x64
		{A1B7F578-9FAC-490F-9D83-1F1C2235E60B}.Release|x64.Build.0 = Release|x64
		{A1B7F578-9FAC-490F-9D83-1F1C2235E60B}.Release|x86.ActiveCfg = Release|Win32
		{A1B7F578-9FAC-490F-9D83-1F1C2235E60B}.Release|x86.Build.0 = Release|Win32
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
	GlobalSection(ExtensibilityGlobals) = postSolution
		SolutionGuid = {DBE55729-4577-4115-962C-6782E2158D18}
	EndGlobalSection
EndGlobal
